%define gkplugindir %{_libdir}/gkrellm2/plugins

Summary: Analog clock plugin for GKrellM
Name: gkrellm-aclock
Version: 0.3.4
Release: 12
License: GPLv2+
Group: Applications/System
URL: http://www.geocities.com/m_muthukumar/gkrellaclock.html
Source: http://www.geocities.com/m_muthukumar/gkrellaclock-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
Requires: gkrellm >= 2.2.0
BuildRequires: gkrellm-devel >= 2.2.0

%description
Analog clock plugin for GKrellM, the GNU Krell Monitor.


%prep
%setup -q -n gkrellAclock-%{version}


%build
%{__make} clean
%{__make} CFLAGS="%{optflags}"


%install
%{__rm} -rf %{buildroot}
%{__install} -D -m 0755 gkrellaclock.so \
    %{buildroot}%{gkplugindir}/gkrellaclock.so


%clean
%{__rm} -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc ChangeLog README
%{gkplugindir}/gkrellaclock.so


%changelog
* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.4-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.4-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.4-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Dec 06 2011 Adam Jackson <ajax@redhat.com> - 0.3.4-9
- Rebuild for new libpng

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.4-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.4-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.4-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.3.4-5
- Autorebuild for GCC 4.3

* Wed Aug 22 2007 Matthias Saou <http://freshrpms.net/> 0.3.4-4
- Rebuild for new BuildID feature.

* Sun Aug  5 2007 Matthias Saou <http://freshrpms.net/> 0.3.4-3
- Update License field.

* Fri Jun 22 2007 Matthias Saou <http://freshrpms.net/> 0.3.4-2
- Remove dist, as it might be a while before the next rebuild.

* Mon Aug 28 2006 Matthias Saou <http://freshrpms.net/> 0.3.4-1
- Update to 0.3.4.
- FC6 rebuild.
- Add "make clean" since the sources contain a leftover i386 *.o file.

* Mon Mar  6 2006 Matthias Saou <http://freshrpms.net/> 0.3.3-4
- FC5 rebuild.

* Wed Feb  8 2006 Matthias Saou <http://freshrpms.net/> 0.3.3-3
- Rebuild for new gcc/glibc.

* Wed Aug 17 2005 Matthias Saou <http://freshrpms.net/> 0.3.3-2
- Rebuild against new libcairo.

* Tue Jul 12 2005 Matthias Saou <http://freshrpms.net/> 0.3.3-1
- Initial RPM release, split out from my old gkrellm-plugins package.

